> For the complete documentation index, see [llms.txt](https://docs.shipbubble.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shipbubble.com/api-reference/addresses/get-single-address-details.md).

# Get single address details

<mark style="color:blue;">`GET`</mark> `https://api.shipbubble.com/v1/shipping/address/:address_code`

#### Path Parameters

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| address\_code<mark style="color:red;">\*</mark> | String | address code of required address |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "status": "success",
    "message": "Retrieved successfully",
    "data": {
        "name": "Abon Ayodeji",
        "email": "abon@james.com",
        "street_no": "1",
        "street": "Teslim Balogun Stadium, Alh. Masha Road, Lagos, Nigeria",
        "phone": "+2347079657900",
        "formatted_address": "Alh. Masha Rd, Surulere 101241, Lagos, Nigeria",
        "country": "Nigeria",
        "country_code": "NG",
        "city": "Surulere",
        "city_code": "Surulere",
        "state": "Lagos",
        "state_code": "LA",
        "postal_code": "101241",
        "latitude": 6.499872799999999,
        "longitude": 3.3609343
    }
}
```

{% endtab %}
{% endtabs %}
